unit ClientForm;
interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, DBGrids, DB, DBClient, SOAPConn;

type
  TForm1 = class(TForm)
    edtEuro: TEdit;
    edtPound: TEdit;
    btnPountToEuro: TButton;
    btnEuroToPound: TButton;
    SoapConnection1: TSoapConnection;
    cdsCustomer: TClientDataSet;
    cdsCustomerCustNo: TFloatField;
    cdsCustomerCompany: TStringField;
    cdsCustomerAddr1: TStringField;
    cdsCustomerAddr2: TStringField;
    cdsCustomerCity: TStringField;
    cdsCustomerState: TStringField;
    cdsCustomerZip: TStringField;
    cdsCustomerCountry: TStringField;
    cdsCustomerPhone: TStringField;
    cdsCustomerFAX: TStringField;
    cdsCustomerTaxRate: TFloatField;
    cdsCustomerContact: TStringField;
    cdsCustomerLastInvoiceDate: TDateTimeField;
    cdsCustomercdsOrders: TDataSetField;
    cdsOrders: TClientDataSet;
    dsCustomer: TDataSource;
    dsOrders: TDataSource;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    btnOpen: TButton;
    btnUpdates: TButton;
    procedure btnEuroToPoundClick(Sender: TObject);
    procedure btnOpenClick(Sender: TObject);
    procedure btnUpdatesClick(Sender: TObject);
    procedure cdsCustomerReconcileError(DataSet: TCustomClientDataSet;
      E: EReconcileError; UpdateKind: TUpdateKind;
      var Action: TReconcileAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses IIEuroPoundSterling1;

{$R *.dfm}

procedure TForm1.btnEuroToPoundClick(Sender: TObject);
begin
  edtPound.Text := FloatToStr(GetIIEuroPoundSterling.EuroToPound(StrToFloatDef(edtEuro.Text,0)))
end;

procedure TForm1.btnOpenClick(Sender: TObject);
begin
  if (Sender AS TBUtton).Caption = 'Open' then
  begin
    (Sender AS TBUtton).Caption := 'Close';
    cdsCustomer.Open;
  end
  else
  begin
    (Sender AS TBUtton).Caption := 'Open';
    cdsCustomer.Close;
  end
end;

procedure TForm1.btnUpdatesClick(Sender: TObject);
begin
  cdsCustomer.ApplyUpdates(-1)
end;

procedure TForm1.cdsCustomerReconcileError(DataSet: TCustomClientDataSet;
  E: EReconcileError; UpdateKind: TUpdateKind;
  var Action: TReconcileAction);
begin
  Caption := E.Message
end;

end.
